org.keycloak.forms.login.freemarker.model

## Class OAuthGrantBean

- java.lang.Object
- - org.keycloak.forms.login.freemarker.model.OAuthGrantBean

-     public class OAuthGrantBean
      extends Object

  Author:
    Viliam Rockai

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OAuthGrantBean.ClientRoleEntry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthGrantBean(String code, ClientSessionModel clientSession, ClientModel client, List<RoleModel> realmRolesRequested, javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested, List<ProtocolMapperModel> protocolMappersRequested, String accessRequestMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessRequestMessage()`
    `List<String>` | `getClaimsRequested()`
    `String` | `getClient()`
    `String` | `getCode()`
    `List<RoleModel>` | `getRealmRolesRequested()`
    `javax.ws.rs.core.MultivaluedMap<String,OAuthGrantBean.ClientRoleEntry>` | `getResourceRolesRequested()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthGrantBean

          public OAuthGrantBean(String code,
                                ClientSessionModel clientSession,
                                ClientModel client,
                                List<RoleModel> realmRolesRequested,
                                javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested,
                                List<ProtocolMapperModel> protocolMappersRequested,
                                String accessRequestMessage)

  - ### Method Detail

    - #### getCode

          public String getCode()

    - #### getResourceRolesRequested

          public javax.ws.rs.core.MultivaluedMap<String,OAuthGrantBean.ClientRoleEntry> getResourceRolesRequested()

    - #### getRealmRolesRequested

          public List<RoleModel> getRealmRolesRequested()

    - #### getClient

          public String getClient()

    - #### getClaimsRequested

          public List<String> getClaimsRequested()

    - #### getAccessRequestMessage

          public String getAccessRequestMessage()

Copyright © 2016 JBoss by Red Hat. All rights reserved.